// DSAddIn.h : Header-Datei
//

#if !defined(AFX_DSADDIN_H__6C102A70_7588_4285_A357_C24B14ED804E__INCLUDED_)
#define AFX_DSADDIN_H__6C102A70_7588_4285_A357_C24B14ED804E__INCLUDED_

#include "commands.h"

// {555A31FF-0486-4320-B617-4FE9421AE531}
DEFINE_GUID(CLSID_DSAddIn,
0x555a31ff, 0x486, 0x4320, 0xb6, 0x17, 0x4f, 0xe9, 0x42, 0x1a, 0xe5, 0x31);

/////////////////////////////////////////////////////////////////////////////
// CDSAddIn

class CDSAddIn : 
	public IDSAddIn,
	public CComObjectRoot,
	public CComCoClass<CDSAddIn, &CLSID_DSAddIn>
{
public:
	DECLARE_REGISTRY(CDSAddIn, "BuildMgr2.DSAddIn.1",
		"BUILDMGR2 Developer Studio Add-in", IDS_BUILDMGR2_LONGNAME,
		THREADFLAGS_BOTH)

	CDSAddIn() {}
	BEGIN_COM_MAP(CDSAddIn)
		COM_INTERFACE_ENTRY(IDSAddIn)
	END_COM_MAP()
	DECLARE_NOT_AGGREGATABLE(CDSAddIn)

// IDSAddIns
public:
	STDMETHOD(OnConnection)(THIS_ IApplication* pApp, VARIANT_BOOL bFirstTime,
		long dwCookie, VARIANT_BOOL* OnConnection);
	STDMETHOD(OnDisconnection)(THIS_ VARIANT_BOOL bLastTime);

protected:
	VARIANT_BOOL AddCommands( IApplication* pApp, VARIANT_BOOL bFirstTime );
	CCommandsObj* m_pCommands;
	DWORD m_dwCookie;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ fgt unmittelbar vor der vorhergehenden Zeile zustzliche Deklarationen ein.

#endif // !defined(AFX_DSADDIN_H__6C102A70_7588_4285_A357_C24B14ED804E__INCLUDED)
