// BuildMgr2.cpp : Legt die Initialisierungsroutinen fr die DLL fest.
//

#include "stdafx.h"
#include <initguid.h>
#include "BuildMgr2.h"
#include "DSAddIn.h"
#include "Commands.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

CComModule _Module;

BEGIN_OBJECT_MAP(ObjectMap)
	OBJECT_ENTRY(CLSID_DSAddIn, CDSAddIn)
END_OBJECT_MAP()

/////////////////////////////////////////////////////////////////////////////
// CBuildMgr2App

class CBuildMgr2App : public CWinApp
{
public:
	CBuildMgr2App();

// berladungen
	// Vom Klassenassistenten generierte berladungen virtueller Funktionen
	//{{AFX_VIRTUAL(CBuildMgr2App)
	public:
	virtual BOOL InitInstance();
	virtual int ExitInstance();
	//}}AFX_VIRTUAL

	//{{AFX_MSG(CBuildMgr2App)
		// HINWEIS - An dieser Stelle werden Member-Funktionen vom Klassenassistenten eingefgt und entfernt..
		//    Innerhalb dieser generierten Quelltextabschnitte NICHTS VERNDERN!
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};


/////////////////////////////////////////////////////////////////////////////
// CBuildMgr2App

BEGIN_MESSAGE_MAP(CBuildMgr2App, CWinApp)
	//{{AFX_MSG_MAP(CBuildMgr2App)
		// HINWEIS - Hier werden Mapping-Makros vom Klassenassistenten eingefgt und entfernt.
		//    Innerhalb dieser generierten Quelltextabschnitte NICHTS VERNDERN!
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// Das einzige CBuildMgr2App-Objekt

CBuildMgr2App theApp;

/////////////////////////////////////////////////////////////////////////////
// CBuildMgr2App Konstruktion

CBuildMgr2App::CBuildMgr2App()
{
	// ZU ERLEDIGEN: Hier Code zur Konstruktion einfgen
	// Alle wichtigen Initialisierungen in InitInstance platzieren
}

/////////////////////////////////////////////////////////////////////////////
// CBuildMgr2App Initialisierung

BOOL CBuildMgr2App::InitInstance()
{
	//
	//	INITIALIZE MODULE
	//
	_Module.Init(ObjectMap, m_hInstance);

	//
	//	SET APPLICATION'S REGISTRY KEY
	//
	this->SetRegistryKey( _T( "Codecult" ) );

	//
	//	CALL BASE CLASS' IMPLEMENTATION
	//
	return CWinApp::InitInstance();
}

int CBuildMgr2App::ExitInstance()
{
	_Module.Term();
	return CWinApp::ExitInstance();
}

/////////////////////////////////////////////////////////////////////////////
// Spezielle, fr Inproc-Server bentigte Einsprungpunkte

STDAPI DllGetClassObject(REFCLSID rclsid, REFIID riid, LPVOID* ppv)
{
	AFX_MANAGE_STATE(AfxGetStaticModuleState());
	return _Module.GetClassObject(rclsid, riid, ppv);
}

STDAPI DllCanUnloadNow(void)
{
	AFX_MANAGE_STATE(AfxGetStaticModuleState());
	return (AfxDllCanUnloadNow()==S_OK && _Module.GetLockCount()==0) ? S_OK : S_FALSE;
}

// Sie knnen regsvr32.exe verwenden, indem Sie DllRegisterServer exportieren
STDAPI DllRegisterServer(void)
{
	AFX_MANAGE_STATE(AfxGetStaticModuleState());
	HRESULT hRes = S_OK;
	
	// Registriert Objekt, Typelib und alle Schnittstellen in Typelib
	hRes = _Module.RegisterServer(TRUE);
	if (FAILED(hRes))
		return hRes;

	// Beschreibung dieses AddIn-Objekts in seinem eigenen
	//  /Description Teilschlssel registrieren.
	// ZU ERLEDIGEN:  Wenn Sie diesem Modul weitere AddIns hinzufgen, mssen Sie
	//  zur Registrierung all Ihrer Beschreibungen jede Beschreibung
	//  im CLSID-Eintrag der Registrierung jedes Add-In-Objekts registrieren:
	// HKEY_CLASSES_ROOT\Clsid\{add-in  HKEY_CLASSES_ROOT\Clsid\{add-in CLSID}\Description="Add-In-Beschreibung"
	_ATL_OBJMAP_ENTRY* pEntry = _Module.m_pObjMap;
	CRegKey key;
	LONG lRes = key.Open(HKEY_CLASSES_ROOT, _T("CLSID"));
	if (lRes == ERROR_SUCCESS)
	{
		USES_CONVERSION;
		LPOLESTR lpOleStr;
		StringFromCLSID(*pEntry->pclsid, &lpOleStr);
		LPTSTR lpsz = OLE2T(lpOleStr);

		lRes = key.Open(key, lpsz);
		if (lRes == ERROR_SUCCESS)
		{
			CString strDescription;
			strDescription.LoadString(IDS_BUILDMGR2_DESCRIPTION);
			key.SetKeyValue(_T("Description"), strDescription);
		}
		CoTaskMemFree(lpOleStr);
	}
	if (lRes != ERROR_SUCCESS)
		hRes = HRESULT_FROM_WIN32(lRes);

	return hRes;
}

/////////////////////////////////////////////////////////////////////////////
// DllUnregisterServer - Entfernt Eintrge aus der Systemregistrierung

STDAPI DllUnregisterServer(void)
{
	AFX_MANAGE_STATE(AfxGetStaticModuleState());

	HRESULT hRes = S_OK;
	_Module.UnregisterServer();
	return hRes;
}


/////////////////////////////////////////////////////////////////////////////
// Testlauf-Untersttzung

// GetLastErrorDescription wird in der Implementierung des Makros VERIFY_OK
//  verwendet, das in stdafx.h definiert ist.

#ifdef _DEBUG

void GetLastErrorDescription(CComBSTR& bstr)
{
	CComPtr<IErrorInfo> pErrorInfo;
	if (GetErrorInfo(0, &pErrorInfo) == S_OK)
		pErrorInfo->GetDescription(&bstr);
}

#endif //_DEBUG
